[Libreoffice-commits] .: configure.ac postgresql/libpq-parallel-build.patch postgresql/postgresql-9.1.1-autoreconf.patch postgresql/postgresql-9.1.1-libreoffice.patch postgresql/postgresql-9.2.1-autoreconf.patch postgresql/postgresql-9.2.1-libreoffice.patch postgresql/postgresql-libs-leak.patch postgresql/postgresql-moz-ldap.patch postgresql/UnpackedTarball_postgresql.mk
Libreoffice Gerrit user
logerrit at kemper.freedesktop.org
Tue Nov 13 08:12:52 PST 2012
configure.ac | 2
postgresql/UnpackedTarball_postgresql.mk | 6
postgresql/libpq-parallel-build.patch | 11
postgresql/postgresql-9.1.1-autoreconf.patch | 531 --------------------------
postgresql/postgresql-9.1.1-libreoffice.patch | 115 -----
postgresql/postgresql-9.2.1-autoreconf.patch | 521 +++++++++++++++++++++++++
postgresql/postgresql-9.2.1-libreoffice.patch | 113 +++++
postgresql/postgresql-libs-leak.patch | 5
postgresql/postgresql-moz-ldap.patch | 228 -----------
9 files changed, 640 insertions(+), 892 deletions(-)
New commits:
commit f3d2d9aaaf72291a5733b5ba0edd1c7b75e4f345
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date: Tue Nov 13 17:04:18 2012 +0100
Upgrading postgresql to 9.2.1
Change-Id: If6e58db174159111dec9c6ab39258d757a3e6ba5
diff --git a/configure.ac b/configure.ac
index 35727c0..55ed524 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7799,7 +7799,7 @@ if test "x$enable_postgresql_sdbc" != "xno"; then
POSTGRESQL_LIB=""
POSTGRESQL_INC="%OVERRIDE_ME%"
BUILD_TYPE="$BUILD_TYPE POSTGRESQL"
- POSTGRESQL_TARBALL="061a9f17323117c9358ed60f33ecff78-postgresql-9.1.1.tar.bz2"
+ POSTGRESQL_TARBALL="c0b4799ea9850eae3ead14f0a60e9418-postgresql-9.2.1.tar.bz2"
fi
fi
if test "${SYSTEM_POSTGRESQL}" = "YES"; then
diff --git a/postgresql/UnpackedTarball_postgresql.mk b/postgresql/UnpackedTarball_postgresql.mk
index f6b9472..3409a02 100644
--- a/postgresql/UnpackedTarball_postgresql.mk
+++ b/postgresql/UnpackedTarball_postgresql.mk
@@ -14,11 +14,9 @@ $(eval $(call gb_UnpackedTarball_set_tarball,postgresql,$(POSTGRESQL_TARBALL)))
$(eval $(call gb_UnpackedTarball_set_patchlevel,postgresql,3))
$(eval $(call gb_UnpackedTarball_add_patches,postgresql, \
- postgresql/postgresql-moz-ldap.patch \
postgresql/postgresql-libs-leak.patch \
- postgresql/libpq-parallel-build.patch \
- postgresql/postgresql-9.1.1-autoreconf.patch \
- postgresql/postgresql-9.1.1-libreoffice.patch \
+ postgresql/postgresql-9.2.1-autoreconf.patch \
+ postgresql/postgresql-9.2.1-libreoffice.patch \
))
# vim: set noet sw=4 ts=4:
diff --git a/postgresql/libpq-parallel-build.patch b/postgresql/libpq-parallel-build.patch
deleted file mode 100644
index 237a483..0000000
--- a/postgresql/libpq-parallel-build.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff --recursive -u misc/build/postgresql-9.1.1/src/interfaces/libpq/Makefile misc/build/postgresql-9.1.1.patch/src/interfaces/libpq/Makefile
---- misc/build/postgresql-9.1.1/src/interfaces/libpq/Makefile 2012-02-06 15:11:19.000000000 +0100
-+++ misc/build/postgresql-9.1.1.patch/src/interfaces/libpq/Makefile 2012-02-06 15:02:51.000000000 +0100
-@@ -109,6 +109,7 @@
- libpq.rc: $(top_builddir)/src/Makefile.global
-
- fe-connect.o: fe-connect.c $(top_builddir)/src/port/pg_config_paths.h
-+fe-misc.o: fe-misc.c $(top_builddir)/src/port/pg_config_paths.h
-
- $(top_builddir)/src/port/pg_config_paths.h:
- $(MAKE) -C $(top_builddir)/src/port pg_config_paths.h
diff --git a/postgresql/postgresql-9.1.1-autoreconf.patch b/postgresql/postgresql-9.1.1-autoreconf.patch
deleted file mode 100644
index ce91c51..0000000
--- a/postgresql/postgresql-9.1.1-autoreconf.patch
+++ /dev/null
@@ -1,531 +0,0 @@
-diff --recursive -u misc/build/postgresql-9.1.1/configure misc/build/postgresql-9.1.1.patched/configure
---- misc/build/postgresql-9.1.1/configure 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/configure 2012-02-03 11:50:07.000000000 +0100
-@@ -718,6 +718,7 @@
- with_selinux
- with_openssl
- with_bonjour
-+with_mozldap
- with_ldap
- with_pam
- krb_srvtab
-@@ -836,6 +837,7 @@
- with_krb_srvnam
- with_pam
- with_ldap
-+with_mozldap
- with_bonjour
- with_openssl
- with_selinux
-@@ -1533,6 +1535,7 @@
- [postgres]
- --with-pam build with PAM support
- --with-ldap build with LDAP support
-+ --with-mozldap build with Mozilla LDAP support
- --with-bonjour build with Bonjour support
- --with-openssl build with OpenSSL support
- --with-selinux build with SELinux support
-@@ -5432,6 +5435,42 @@
- $as_echo "$with_ldap" >&6; }
-
-
-+{ $as_echo "$as_me:$LINENO: checking whether to use Mozilla C SDK for LDAP support" >&5
-+$as_echo_n "checking whether to use Mozilla C SDK for LDAP support... " >&6; }
-+
-+
-+
-+# Check whether --with-mozldap was given.
-+if test "${with_mozldap+set}" = set; then
-+ withval=$with_mozldap;
-+ case $withval in
-+ yes)
-+
-+cat >>confdefs.h <<\_ACEOF
-+#define USE_MOZLDAP 1
-+_ACEOF
-+
-+ ;;
-+ no)
-+ :
-+ ;;
-+ *)
-+ { { $as_echo "$as_me:$LINENO: error: no argument expected for --with-mozldap option" >&5
-+$as_echo "$as_me: error: no argument expected for --with-mozldap option" >&2;}
-+ { (exit 1); exit 1; }; }
-+ ;;
-+ esac
-+
-+else
-+ with_mozldap=no
-+
-+fi
-+
-+
-+{ $as_echo "$as_me:$LINENO: result: $with_mozldap" >&5
-+$as_echo "$with_mozldap" >&6; }
-+
-+
-
- #
- # Bonjour
-@@ -8533,11 +8572,11 @@
- *** Not using spinlocks will cause poor performance." >&2;}
- fi
-
--if test "$with_gssapi" = yes ; then
-+if test "$with_krb5" = yes ; then
- if test "$PORTNAME" != "win32"; then
-- { $as_echo "$as_me:$LINENO: checking for library containing gss_init_sec_context" >&5
--$as_echo_n "checking for library containing gss_init_sec_context... " >&6; }
--if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
-+ { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
-+$as_echo_n "checking for library containing com_err... " >&6; }
-+if test "${ac_cv_search_com_err+set}" = set; then
- $as_echo_n "(cached) " >&6
- else
- ac_func_search_save_LIBS=$LIBS
-@@ -8554,16 +8593,16 @@
- #ifdef __cplusplus
- extern "C"
- #endif
--char gss_init_sec_context ();
-+char com_err ();
- int
- main ()
- {
--return gss_init_sec_context ();
-+return com_err ();
- ;
- return 0;
- }
- _ACEOF
--for ac_lib in '' gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'; do
-+for ac_lib in '' com_err 'com_err -lssl -lcrypto' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
- if test -z "$ac_lib"; then
- ac_res="none required"
- else
-@@ -8591,7 +8630,7 @@
- test "$cross_compiling" = yes ||
- $as_test_x conftest$ac_exeext
- }; then
-- ac_cv_search_gss_init_sec_context=$ac_res
-+ ac_cv_search_com_err=$ac_res
- else
- $as_echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8602,40 +8641,33 @@
- rm -rf conftest.dSYM
- rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext
-- if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
-+ if test "${ac_cv_search_com_err+set}" = set; then
- break
- fi
- done
--if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
-+if test "${ac_cv_search_com_err+set}" = set; then
- :
- else
-- ac_cv_search_gss_init_sec_context=no
-+ ac_cv_search_com_err=no
- fi
- rm conftest.$ac_ext
- LIBS=$ac_func_search_save_LIBS
- fi
--{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_gss_init_sec_context" >&5
--$as_echo "$ac_cv_search_gss_init_sec_context" >&6; }
--ac_res=$ac_cv_search_gss_init_sec_context
-+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
-+$as_echo "$ac_cv_search_com_err" >&6; }
-+ac_res=$ac_cv_search_com_err
- if test "$ac_res" != no; then
- test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-
- else
-- { { $as_echo "$as_me:$LINENO: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&5
--$as_echo "$as_me: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&2;}
-+ { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
-+$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-- else
-- LIBS="$LIBS -lgssapi32"
-- fi
--fi
--
--if test "$with_krb5" = yes ; then
-- if test "$PORTNAME" != "win32"; then
-- { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
--$as_echo_n "checking for library containing com_err... " >&6; }
--if test "${ac_cv_search_com_err+set}" = set; then
-+ { $as_echo "$as_me:$LINENO: checking for library containing krb5_sendauth" >&5
-+$as_echo_n "checking for library containing krb5_sendauth... " >&6; }
-+if test "${ac_cv_search_krb5_sendauth+set}" = set; then
- $as_echo_n "(cached) " >&6
- else
- ac_func_search_save_LIBS=$LIBS
-@@ -8652,16 +8684,16 @@
- #ifdef __cplusplus
- extern "C"
- #endif
--char com_err ();
-+char krb5_sendauth ();
- int
- main ()
- {
--return com_err ();
-+return krb5_sendauth ();
- ;
- return 0;
- }
- _ACEOF
--for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken' com_err 'com_err -lssl -lcrypto'; do
-+for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
- if test -z "$ac_lib"; then
- ac_res="none required"
- else
-@@ -8689,7 +8721,7 @@
- test "$cross_compiling" = yes ||
- $as_test_x conftest$ac_exeext
- }; then
-- ac_cv_search_com_err=$ac_res
-+ ac_cv_search_krb5_sendauth=$ac_res
- else
- $as_echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8700,33 +8732,34 @@
- rm -rf conftest.dSYM
- rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext
-- if test "${ac_cv_search_com_err+set}" = set; then
-+ if test "${ac_cv_search_krb5_sendauth+set}" = set; then
- break
- fi
- done
--if test "${ac_cv_search_com_err+set}" = set; then
-+if test "${ac_cv_search_krb5_sendauth+set}" = set; then
- :
- else
-- ac_cv_search_com_err=no
-+ ac_cv_search_krb5_sendauth=no
- fi
- rm conftest.$ac_ext
- LIBS=$ac_func_search_save_LIBS
- fi
--{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
--$as_echo "$ac_cv_search_com_err" >&6; }
--ac_res=$ac_cv_search_com_err
-+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_krb5_sendauth" >&5
-+$as_echo "$ac_cv_search_krb5_sendauth" >&6; }
-+ac_res=$ac_cv_search_krb5_sendauth
- if test "$ac_res" != no; then
- test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-
- else
-- { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
--$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
-+ { { $as_echo "$as_me:$LINENO: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&5
-+$as_echo "$as_me: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-- { $as_echo "$as_me:$LINENO: checking for library containing krb5_sendauth" >&5
--$as_echo_n "checking for library containing krb5_sendauth... " >&6; }
--if test "${ac_cv_search_krb5_sendauth+set}" = set; then
-+ else
-+ { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
-+$as_echo_n "checking for library containing com_err... " >&6; }
-+if test "${ac_cv_search_com_err+set}" = set; then
- $as_echo_n "(cached) " >&6
- else
- ac_func_search_save_LIBS=$LIBS
-@@ -8743,16 +8776,16 @@
- #ifdef __cplusplus
- extern "C"
- #endif
--char krb5_sendauth ();
-+char com_err ();
- int
- main ()
- {
--return krb5_sendauth ();
-+return com_err ();
- ;
- return 0;
- }
- _ACEOF
--for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
-+for ac_lib in '' 'comerr32 -lkrb5_32'; do
- if test -z "$ac_lib"; then
- ac_res="none required"
- else
-@@ -8780,7 +8813,7 @@
- test "$cross_compiling" = yes ||
- $as_test_x conftest$ac_exeext
- }; then
-- ac_cv_search_krb5_sendauth=$ac_res
-+ ac_cv_search_com_err=$ac_res
- else
- $as_echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8791,34 +8824,38 @@
- rm -rf conftest.dSYM
- rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext
-- if test "${ac_cv_search_krb5_sendauth+set}" = set; then
-+ if test "${ac_cv_search_com_err+set}" = set; then
- break
- fi
- done
--if test "${ac_cv_search_krb5_sendauth+set}" = set; then
-+if test "${ac_cv_search_com_err+set}" = set; then
- :
- else
-- ac_cv_search_krb5_sendauth=no
-+ ac_cv_search_com_err=no
- fi
- rm conftest.$ac_ext
- LIBS=$ac_func_search_save_LIBS
- fi
--{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_krb5_sendauth" >&5
--$as_echo "$ac_cv_search_krb5_sendauth" >&6; }
--ac_res=$ac_cv_search_krb5_sendauth
-+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
-+$as_echo "$ac_cv_search_com_err" >&6; }
-+ac_res=$ac_cv_search_com_err
- if test "$ac_res" != no; then
- test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-
- else
-- { { $as_echo "$as_me:$LINENO: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&5
--$as_echo "$as_me: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&2;}
-+ { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
-+$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-- else
-- { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
--$as_echo_n "checking for library containing com_err... " >&6; }
--if test "${ac_cv_search_com_err+set}" = set; then
-+ fi
-+fi
-+
-+if test "$with_gssapi" = yes ; then
-+ if test "$PORTNAME" != "win32"; then
-+ { $as_echo "$as_me:$LINENO: checking for library containing gss_init_sec_context" >&5
-+$as_echo_n "checking for library containing gss_init_sec_context... " >&6; }
-+if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
- $as_echo_n "(cached) " >&6
- else
- ac_func_search_save_LIBS=$LIBS
-@@ -8835,16 +8872,16 @@
- #ifdef __cplusplus
- extern "C"
- #endif
--char com_err ();
-+char gss_init_sec_context ();
- int
- main ()
- {
--return com_err ();
-+return gss_init_sec_context ();
- ;
- return 0;
- }
- _ACEOF
--for ac_lib in '' 'comerr32 -lkrb5_32'; do
-+for ac_lib in '' gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'; do
- if test -z "$ac_lib"; then
- ac_res="none required"
- else
-@@ -8872,7 +8909,7 @@
- test "$cross_compiling" = yes ||
- $as_test_x conftest$ac_exeext
- }; then
-- ac_cv_search_com_err=$ac_res
-+ ac_cv_search_gss_init_sec_context=$ac_res
- else
- $as_echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8883,30 +8920,32 @@
- rm -rf conftest.dSYM
- rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext
-- if test "${ac_cv_search_com_err+set}" = set; then
-+ if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
- break
- fi
- done
--if test "${ac_cv_search_com_err+set}" = set; then
-+if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
- :
- else
-- ac_cv_search_com_err=no
-+ ac_cv_search_gss_init_sec_context=no
- fi
- rm conftest.$ac_ext
- LIBS=$ac_func_search_save_LIBS
- fi
--{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
--$as_echo "$ac_cv_search_com_err" >&6; }
--ac_res=$ac_cv_search_com_err
-+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_gss_init_sec_context" >&5
-+$as_echo "$ac_cv_search_gss_init_sec_context" >&6; }
-+ac_res=$ac_cv_search_gss_init_sec_context
- if test "$ac_res" != no; then
- test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-
- else
-- { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
--$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
-+ { { $as_echo "$as_me:$LINENO: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&5
-+$as_echo "$as_me: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-+ else
-+ LIBS="$LIBS -lgssapi32"
- fi
- fi
-
-@@ -13584,7 +13623,7 @@
- fi
-
- if test "$with_ldap" = yes ; then
-- if test "$PORTNAME" != "win32"; then
-+ if test "$PORTNAME" != "win32" || test "$with_mozldap" = "yes"; then
-
- for ac_header in ldap.h
- do
-@@ -13809,6 +13848,11 @@
-
- done
-
-+
-+cat >>confdefs.h <<\_ACEOF
-+#define USE_MICROSOFT_LDAP 1
-+_ACEOF
-+
- fi
- fi
-
-@@ -23348,7 +23392,99 @@
- # We can test for libldap_r only after we know PTHREAD_LIBS
- if test "$with_ldap" = yes ; then
- _LIBS="$LIBS"
-- if test "$PORTNAME" != "win32"; then
-+ if test "$with_mozldap" = "yes"; then
-+ if test "$PORTNAME" != "win32"; then
-+ mozlibname=ldap50
-+ else
-+ mozlibname=nsldap32v50
-+ fi
-+
-+as_ac_Lib=`$as_echo "ac_cv_lib_$mozlibname''_ldap_bind" | $as_tr_sh`
-+{ $as_echo "$as_me:$LINENO: checking for ldap_bind in -l$mozlibname" >&5
-+$as_echo_n "checking for ldap_bind in -l$mozlibname... " >&6; }
-+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
-+ $as_echo_n "(cached) " >&6
-+else
-+ ac_check_lib_save_LIBS=$LIBS
-+LIBS="-l$mozlibname $PTHREAD_CFLAGS $PTHREAD_LIBS $EXTRA_LDAP_LIBS $LIBS"
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char ldap_bind ();
-+int
-+main ()
-+{
-+return ldap_bind ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-+$as_echo "$ac_try_echo") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext && {
-+ test "$cross_compiling" = yes ||
-+ $as_test_x conftest$ac_exeext
-+ }; then
-+ eval "$as_ac_Lib=yes"
-+else
-+ $as_echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ eval "$as_ac_Lib=no"
-+fi
-+
-+rm -rf conftest.dSYM
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+ac_res=`eval 'as_val=${'$as_ac_Lib'}
-+ $as_echo "$as_val"'`
-+ { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-+$as_echo "$ac_res" >&6; }
-+as_val=`eval 'as_val=${'$as_ac_Lib'}
-+ $as_echo "$as_val"'`
-+ if test "x$as_val" = x""yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define `$as_echo "HAVE_LIB$mozlibname" | $as_tr_cpp` 1
-+_ACEOF
-+
-+ LIBS="-l$mozlibname $LIBS"
-+
-+else
-+ { { $as_echo "$as_me:$LINENO: error: library \"$mozlibname\" is required for Mozilla LDAP" >&5
-+$as_echo "$as_me: error: library \"$mozlibname\" is required for Mozilla LDAP" >&2;}
-+ { (exit 1); exit 1; }; }
-+fi
-+
-+ LDAP_LIBS_FE="-l$mozlibname $EXTRA_LDAP_LIBS"
-+ LDAP_LIBS_BE="-l$mozlibname $EXTRA_LDAP_LIBS"
-+ elif test "$PORTNAME" != "win32"; then
-
- { $as_echo "$as_me:$LINENO: checking for ldap_bind in -lldap" >&5
- $as_echo_n "checking for ldap_bind in -lldap... " >&6; }
-diff --recursive -u misc/build/postgresql-9.1.1/src/include/pg_config.h.in misc/build/postgresql-9.1.1.patched/src/include/pg_config.h.in
---- misc/build/postgresql-9.1.1/src/include/pg_config.h.in 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/include/pg_config.h.in 2012-02-03 11:50:07.000000000 +0100
-@@ -785,6 +785,13 @@
- (--with-libxslt) */
- #undef USE_LIBXSLT
-
-+/* Defined when using Microsof LDAP */
-+#undef USE_MICROSOFT_LDAP
-+
-+/* Define to 1 to use the Mozilla LDAP C SDK instead of platform default
-+ (OpenLDAP or Microsoft LDAP). (--with-mozldap) */
-+#undef USE_MOZLDAP
-+
- /* Define to select named POSIX semaphores. */
- #undef USE_NAMED_POSIX_SEMAPHORES
-
diff --git a/postgresql/postgresql-9.1.1-libreoffice.patch b/postgresql/postgresql-9.1.1-libreoffice.patch
deleted file mode 100644
index 8647a26..0000000
--- a/postgresql/postgresql-9.1.1-libreoffice.patch
+++ /dev/null
@@ -1,115 +0,0 @@
-diff --recursive -u misc/build/postgresql-9.1.1/src/interfaces/libpq/Makefile misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/Makefile
---- misc/build/postgresql-9.1.1/src/interfaces/libpq/Makefile 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/Makefile 2011-12-15 09:02:18.000000000 +0100
-@@ -142,3 +142,6 @@
-
- maintainer-clean: distclean maintainer-clean-lib
- rm -f libpq-dist.rc
-+
-+libpq-flags.mk:
-+ @printf '%s\n' 'LIBPQ_DEP_LIBS+=$(SHLIB_LINK)' > '$@'
-diff --recursive -u misc/build/postgresql-9.1.1/src/interfaces/libpq/win32.mak misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/win32.mak
---- misc/build/postgresql-9.1.1/src/interfaces/libpq/win32.mak 2011-12-14 14:28:59.000000000 +0100
-+++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/win32.mak 2011-12-15 09:11:37.000000000 +0100
-@@ -13,30 +13,29 @@
-
- # CPU="i386" or CPU environment of nmake.exe (AMD64 or IA64)
-
--!IF ("$(CPU)" == "")||("$(CPU)" == "i386")
--CPU=i386
-+!IF ("$(CPU)" == "")||("$(CPU)" == "I")
-+MACHINE=i386
- !MESSAGE Building the Win32 static library...
- !MESSAGE
--!ELSEIF ("$(CPU)" == "IA64")||("$(CPU)" == "AMD64")
-+!ELSEIF ("$(CPU)" == "X")
-+MACHINE=AMD64
- ADD_DEFINES=/D "WIN64" /Wp64 /GS
- ADD_SECLIB=bufferoverflowU.lib
- !MESSAGE Building the Win64 static library...
- !MESSAGE
- !ELSE
- !MESSAGE Please check a CPU=$(CPU) ?
--!MESSAGE CPU=i386 or AMD64 or IA64
-+!MESSAGE CPU=I or X
- !ERROR Make aborted.
- !ENDIF
-
- !IFDEF DEBUG
--OPT=/Od /Zi /MDd
-+OPT=/Od /Zi
- LOPT=/DEBUG
--DEBUGDEF=/D _DEBUG
--OUTFILENAME=libpqd
-+OUTFILENAME=libpq
- !ELSE
- OPT=/O2 /MD
- LOPT=
--DEBUGDEF=/D NDEBUG
- OUTFILENAME=libpq
- !ENDIF
-
-@@ -56,7 +57,7 @@
- !ENDIF
-
- !IF "$(KFW_LIB_PATH)" == ""
--KFW_LIB_PATH=C:\kfw-2.6.5\lib\$(CPU)
-+KFW_LIB_PATH=C:\kfw-2.6.5\lib\$(MACHINE)
- !MESSAGE Using default Kerberos Library directory: $(KFW_LIB_PATH)
- !ENDIF
-
-@@ -79,18 +80,11 @@
- CPP=cl.exe
- RSC=rc.exe
-
--!IFDEF DEBUG
--OUTDIR=.\Debug
--INTDIR=.\Debug
--CPP_OBJS=.\Debug/
--!ELSE
--OUTDIR=.\Release
--INTDIR=.\Release
--CPP_OBJS=.\Release/
--!ENDIF
--
-+OUTDIR=.
-+INTDIR=.
-+CPP_OBJS=./
-
--ALL : config "$(OUTDIR)\$(OUTFILENAME).lib" "$(OUTDIR)\$(OUTFILENAME).dll"
-+ALL : config "$(OUTDIR)\$(OUTFILENAME).lib"
-
- CLEAN :
- - at erase "$(INTDIR)\getaddrinfo.obj"
-@@ -192,10 +186,11 @@
-
- CPP_PROJ=/nologo /W3 /EHsc $(OPT) \
- /I "..\..\include" /I "..\..\include\port\win32" /I "..\..\include\port\win32_msvc" \
-- /I "..\..\port" /I. /I "$(SSL_INC)" /I "$(KFW_INC)" /I "$(MOZLDAP_INC)" \
-+ /I "..\..\port" /I. $(SOLARINC) \
- /D "FRONTEND" $(DEBUGDEF) \
- /D "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\libpq.pch" \
- /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c \
-+ /D "_CRT_NONSTDC_NO_DEPRECATE" \
- /D "_CRT_SECURE_NO_DEPRECATE" $(ADD_DEFINES)
-
- !IFDEF USE_SSL
-@@ -230,7 +224,7 @@
- LINK32=link.exe
- LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib shfolder.lib wsock32.lib ws2_32.lib secur32.lib $(SSL_LIBS) $(LDAP_LIBS) $(KFW_LIBS) $(ADD_SECLIB) \
- /nologo /subsystem:windows /dll $(LOPT) /incremental:no \
-- /pdb:"$(OUTDIR)\libpqdll.pdb" /machine:$(CPU) \
-+ /pdb:"$(OUTDIR)\libpqdll.pdb" /machine:$(MACHINE) \
- /out:"$(OUTDIR)\$(OUTFILENAME).dll"\
- /implib:"$(OUTDIR)\$(OUTFILENAME)dll.lib" \
- /libpath:"$(SSL_LIB_PATH)" /libpath:"$(KFW_LIB_PATH)" /libpath:"$(MOZLDAP_LIB_PATH)" \
-@@ -247,7 +241,7 @@
- <<
-
- "$(INTDIR)\libpq.res" : "$(INTDIR)" libpq-dist.rc
-- $(RSC) $(RSC_PROJ) libpq-dist.rc
-+ $(RSC) $(SOLARINC) $(RSC_PROJ) libpq-dist.rc
-
-
- "$(OUTDIR)\$(OUTFILENAME).dll" : "$(OUTDIR)" "$(INTDIR)\libpq.res"
-
diff --git a/postgresql/postgresql-9.2.1-autoreconf.patch b/postgresql/postgresql-9.2.1-autoreconf.patch
new file mode 100644
index 0000000..9cbf84f
--- /dev/null
+++ b/postgresql/postgresql-9.2.1-autoreconf.patch
@@ -0,0 +1,521 @@
+--- misc/build/postgresql-9.1.1/configure 2011-09-22 23:57:57.000000000 +0200
++++ misc/build/postgresql-9.1.1.patched/configure 2012-02-03 11:50:07.000000000 +0100
+@@ -830,6 +830,7 @@
+ with_krb_srvnam
+ with_pam
+ with_ldap
++with_mozldap
+ with_bonjour
+ with_openssl
+ with_selinux
+@@ -1527,6 +1528,7 @@
+ [postgres]
+ --with-pam build with PAM support
+ --with-ldap build with LDAP support
++ --with-mozldap build with Mozilla LDAP support
+ --with-bonjour build with Bonjour support
+ --with-openssl build with OpenSSL support
+ --with-selinux build with SELinux support
+@@ -5412,6 +5414,42 @@
+
+
+
++{ $as_echo "$as_me:$LINENO: checking whether to use Mozilla C SDK for LDAP support" >&5
++$as_echo_n "checking whether to use Mozilla C SDK for LDAP support... " >&6; }
++
++
++
++# Check whether --with-mozldap was given.
++if test "${with_mozldap+set}" = set; then
++ withval=$with_mozldap;
++ case $withval in
++ yes)
++
++cat >>confdefs.h <<\_ACEOF
++#define USE_MOZLDAP 1
++_ACEOF
++
++ ;;
++ no)
++ :
++ ;;
++ *)
++ { { $as_echo "$as_me:$LINENO: error: no argument expected for --with-mozldap option" >&5
++$as_echo "$as_me: error: no argument expected for --with-mozldap option" >&2;}
++ { (exit 1); exit 1; }; }
++ ;;
++ esac
++
++else
++ with_mozldap=no
++
++fi
++
++
++{ $as_echo "$as_me:$LINENO: result: $with_mozldap" >&5
++$as_echo "$with_mozldap" >&6; }
++
++
+
+ #
+ # Kerberos configuration parameters
+@@ -8627,11 +8665,11 @@
+ *** Not using spinlocks will cause poor performance." >&2;}
+ fi
+
+-if test "$with_gssapi" = yes ; then
++if test "$with_krb5" = yes ; then
+ if test "$PORTNAME" != "win32"; then
+- { $as_echo "$as_me:$LINENO: checking for library containing gss_init_sec_context" >&5
+-$as_echo_n "checking for library containing gss_init_sec_context... " >&6; }
+-if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
++ { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
++$as_echo_n "checking for library containing com_err... " >&6; }
++if test "${ac_cv_search_com_err+set}" = set; then
+ $as_echo_n "(cached) " >&6
+ else
+ ac_func_search_save_LIBS=$LIBS
+@@ -8648,16 +8686,16 @@
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+-char gss_init_sec_context ();
++char com_err ();
+ int
+ main ()
+ {
+-return gss_init_sec_context ();
++return com_err ();
+ ;
+ return 0;
+ }
+ _ACEOF
+-for ac_lib in '' gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'; do
++for ac_lib in '' com_err 'com_err -lssl -lcrypto' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
+@@ -8685,7 +8723,7 @@
+ test "$cross_compiling" = yes ||
+ $as_test_x conftest$ac_exeext
+ }; then
+- ac_cv_search_gss_init_sec_context=$ac_res
++ ac_cv_search_com_err=$ac_res
+ else
+ $as_echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+@@ -8696,40 +8734,33 @@
+ rm -rf conftest.dSYM
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext
+- if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
++ if test "${ac_cv_search_com_err+set}" = set; then
+ break
+ fi
+ done
+-if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
++if test "${ac_cv_search_com_err+set}" = set; then
+ :
+ else
+- ac_cv_search_gss_init_sec_context=no
++ ac_cv_search_com_err=no
+ fi
+ rm conftest.$ac_ext
+ LIBS=$ac_func_search_save_LIBS
+ fi
+-{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_gss_init_sec_context" >&5
+-$as_echo "$ac_cv_search_gss_init_sec_context" >&6; }
+-ac_res=$ac_cv_search_gss_init_sec_context
++{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
++$as_echo "$ac_cv_search_com_err" >&6; }
++ac_res=$ac_cv_search_com_err
+ if test "$ac_res" != no; then
+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+ else
+- { { $as_echo "$as_me:$LINENO: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&5
+-$as_echo "$as_me: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&2;}
++ { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
++$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+- else
+- LIBS="$LIBS -lgssapi32"
+- fi
+-fi
+-
+-if test "$with_krb5" = yes ; then
+- if test "$PORTNAME" != "win32"; then
+- { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
+-$as_echo_n "checking for library containing com_err... " >&6; }
+-if test "${ac_cv_search_com_err+set}" = set; then
++ { $as_echo "$as_me:$LINENO: checking for library containing krb5_sendauth" >&5
++$as_echo_n "checking for library containing krb5_sendauth... " >&6; }
++if test "${ac_cv_search_krb5_sendauth+set}" = set; then
+ $as_echo_n "(cached) " >&6
+ else
+ ac_func_search_save_LIBS=$LIBS
+@@ -8746,16 +8777,16 @@
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+-char com_err ();
++char krb5_sendauth ();
+ int
+ main ()
+ {
+-return com_err ();
++return krb5_sendauth ();
+ ;
+ return 0;
+ }
+ _ACEOF
+-for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken' com_err 'com_err -lssl -lcrypto'; do
++for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
+@@ -8783,7 +8814,7 @@
+ test "$cross_compiling" = yes ||
+ $as_test_x conftest$ac_exeext
+ }; then
+- ac_cv_search_com_err=$ac_res
++ ac_cv_search_krb5_sendauth=$ac_res
+ else
+ $as_echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+@@ -8794,33 +8825,34 @@
+ rm -rf conftest.dSYM
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext
+- if test "${ac_cv_search_com_err+set}" = set; then
++ if test "${ac_cv_search_krb5_sendauth+set}" = set; then
+ break
+ fi
+ done
+-if test "${ac_cv_search_com_err+set}" = set; then
++if test "${ac_cv_search_krb5_sendauth+set}" = set; then
+ :
+ else
+- ac_cv_search_com_err=no
++ ac_cv_search_krb5_sendauth=no
+ fi
+ rm conftest.$ac_ext
+ LIBS=$ac_func_search_save_LIBS
+ fi
+-{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
+-$as_echo "$ac_cv_search_com_err" >&6; }
+-ac_res=$ac_cv_search_com_err
++{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_krb5_sendauth" >&5
++$as_echo "$ac_cv_search_krb5_sendauth" >&6; }
++ac_res=$ac_cv_search_krb5_sendauth
+ if test "$ac_res" != no; then
+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+ else
+- { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
+-$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
++ { { $as_echo "$as_me:$LINENO: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&5
++$as_echo "$as_me: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+- { $as_echo "$as_me:$LINENO: checking for library containing krb5_sendauth" >&5
+-$as_echo_n "checking for library containing krb5_sendauth... " >&6; }
+-if test "${ac_cv_search_krb5_sendauth+set}" = set; then
++ else
++ { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
++$as_echo_n "checking for library containing com_err... " >&6; }
++if test "${ac_cv_search_com_err+set}" = set; then
+ $as_echo_n "(cached) " >&6
+ else
+ ac_func_search_save_LIBS=$LIBS
+@@ -8837,16 +8869,16 @@
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+-char krb5_sendauth ();
++char com_err ();
+ int
+ main ()
+ {
+-return krb5_sendauth ();
++return com_err ();
+ ;
+ return 0;
+ }
+ _ACEOF
+-for ac_lib in '' krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'; do
++for ac_lib in '' 'comerr32 -lkrb5_32'; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
+@@ -8874,7 +8906,7 @@
+ test "$cross_compiling" = yes ||
+ $as_test_x conftest$ac_exeext
+ }; then
+- ac_cv_search_krb5_sendauth=$ac_res
++ ac_cv_search_com_err=$ac_res
+ else
+ $as_echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+@@ -8885,34 +8917,38 @@
+ rm -rf conftest.dSYM
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext
+- if test "${ac_cv_search_krb5_sendauth+set}" = set; then
++ if test "${ac_cv_search_com_err+set}" = set; then
+ break
+ fi
+ done
+-if test "${ac_cv_search_krb5_sendauth+set}" = set; then
++if test "${ac_cv_search_com_err+set}" = set; then
+ :
+ else
+- ac_cv_search_krb5_sendauth=no
++ ac_cv_search_com_err=no
+ fi
+ rm conftest.$ac_ext
+ LIBS=$ac_func_search_save_LIBS
+ fi
+-{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_krb5_sendauth" >&5
+-$as_echo "$ac_cv_search_krb5_sendauth" >&6; }
+-ac_res=$ac_cv_search_krb5_sendauth
++{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
++$as_echo "$ac_cv_search_com_err" >&6; }
++ac_res=$ac_cv_search_com_err
+ if test "$ac_res" != no; then
+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+ else
+- { { $as_echo "$as_me:$LINENO: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&5
+-$as_echo "$as_me: error: could not find function 'krb5_sendauth' required for Kerberos 5" >&2;}
++ { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
++$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+- else
+- { $as_echo "$as_me:$LINENO: checking for library containing com_err" >&5
+-$as_echo_n "checking for library containing com_err... " >&6; }
+-if test "${ac_cv_search_com_err+set}" = set; then
++ fi
++fi
++
++if test "$with_gssapi" = yes ; then
++ if test "$PORTNAME" != "win32"; then
++ { $as_echo "$as_me:$LINENO: checking for library containing gss_init_sec_context" >&5
++$as_echo_n "checking for library containing gss_init_sec_context... " >&6; }
++if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
+ $as_echo_n "(cached) " >&6
+ else
+ ac_func_search_save_LIBS=$LIBS
+@@ -8929,16 +8965,16 @@
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+-char com_err ();
++char gss_init_sec_context ();
+ int
+ main ()
+ {
+-return com_err ();
++return gss_init_sec_context ();
+ ;
+ return 0;
+ }
+ _ACEOF
+-for ac_lib in '' 'comerr32 -lkrb5_32'; do
++for ac_lib in '' gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
+@@ -8966,7 +9002,7 @@
+ test "$cross_compiling" = yes ||
+ $as_test_x conftest$ac_exeext
+ }; then
+- ac_cv_search_com_err=$ac_res
++ ac_cv_search_gss_init_sec_context=$ac_res
+ else
+ $as_echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+@@ -8977,30 +9013,32 @@
+ rm -rf conftest.dSYM
+ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext
+- if test "${ac_cv_search_com_err+set}" = set; then
++ if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
+ break
+ fi
+ done
+-if test "${ac_cv_search_com_err+set}" = set; then
++if test "${ac_cv_search_gss_init_sec_context+set}" = set; then
+ :
+ else
+- ac_cv_search_com_err=no
++ ac_cv_search_gss_init_sec_context=no
+ fi
+ rm conftest.$ac_ext
+ LIBS=$ac_func_search_save_LIBS
+ fi
+-{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_com_err" >&5
+-$as_echo "$ac_cv_search_com_err" >&6; }
+-ac_res=$ac_cv_search_com_err
++{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_gss_init_sec_context" >&5
++$as_echo "$ac_cv_search_gss_init_sec_context" >&6; }
++ac_res=$ac_cv_search_gss_init_sec_context
+ if test "$ac_res" != no; then
+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+ else
+- { { $as_echo "$as_me:$LINENO: error: could not find function 'com_err' required for Kerberos 5" >&5
+-$as_echo "$as_me: error: could not find function 'com_err' required for Kerberos 5" >&2;}
++ { { $as_echo "$as_me:$LINENO: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&5
++$as_echo "$as_me: error: could not find function 'gss_init_sec_context' required for GSSAPI" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
++ else
++ LIBS="$LIBS -lgssapi32"
+ fi
+ fi
+
+@@ -13598,7 +13636,7 @@
+ fi
+
+ if test "$with_ldap" = yes ; then
+- if test "$PORTNAME" != "win32"; then
++ if test "$PORTNAME" != "win32" || test "$with_mozldap" = "yes"; then
+
+ for ac_header in ldap.h
+ do
+@@ -13823,6 +13861,11 @@
+
+ done
+
++
++cat >>confdefs.h <<\_ACEOF
++#define USE_MICROSOFT_LDAP 1
++_ACEOF
++
+ fi
+ fi
+
+@@ -23483,7 +23526,99 @@
+ # We can test for libldap_r only after we know PTHREAD_LIBS
+ if test "$with_ldap" = yes ; then
+ _LIBS="$LIBS"
++ if test "$with_mozldap" = "yes"; then
+ if test "$PORTNAME" != "win32"; then
++ mozlibname=ldap50
++ else
++ mozlibname=nsldap32v50
++ fi
++
++as_ac_Lib=`$as_echo "ac_cv_lib_$mozlibname''_ldap_bind" | $as_tr_sh`
++{ $as_echo "$as_me:$LINENO: checking for ldap_bind in -l$mozlibname" >&5
++$as_echo_n "checking for ldap_bind in -l$mozlibname... " >&6; }
++if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
++ $as_echo_n "(cached) " >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-l$mozlibname $PTHREAD_CFLAGS $PTHREAD_LIBS $EXTRA_LDAP_LIBS $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char ldap_bind ();
++int
++main ()
++{
++return ldap_bind ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
++$as_echo "$ac_try_echo") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext && {
++ test "$cross_compiling" = yes ||
++ $as_test_x conftest$ac_exeext
++ }; then
++ eval "$as_ac_Lib=yes"
++else
++ $as_echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ eval "$as_ac_Lib=no"
++fi
++
++rm -rf conftest.dSYM
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++ac_res=`eval 'as_val=${'$as_ac_Lib'}
++ $as_echo "$as_val"'`
++ { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
++$as_echo "$ac_res" >&6; }
++as_val=`eval 'as_val=${'$as_ac_Lib'}
++ $as_echo "$as_val"'`
++ if test "x$as_val" = x""yes; then
++ cat >>confdefs.h <<_ACEOF
++#define `$as_echo "HAVE_LIB$mozlibname" | $as_tr_cpp` 1
++_ACEOF
++
++ LIBS="-l$mozlibname $LIBS"
++
++else
++ { { $as_echo "$as_me:$LINENO: error: library \"$mozlibname\" is required for Mozilla LDAP" >&5
++$as_echo "$as_me: error: library \"$mozlibname\" is required for Mozilla LDAP" >&2;}
++ { (exit 1); exit 1; }; }
++fi
++
++ LDAP_LIBS_FE="-l$mozlibname $EXTRA_LDAP_LIBS"
++ LDAP_LIBS_BE="-l$mozlibname $EXTRA_LDAP_LIBS"
++ elif test "$PORTNAME" != "win32"; then
+
+ { $as_echo "$as_me:$LINENO: checking for ldap_bind in -lldap" >&5
+ $as_echo_n "checking for ldap_bind in -lldap... " >&6; }
+--- misc/build/postgresql-9.1.1/src/include/pg_config.h.in 2011-09-22 23:57:57.000000000 +0200
++++ misc/build/postgresql-9.1.1.patched/src/include/pg_config.h.in 2012-02-03 11:50:07.000000000 +0100
+@@ -758,6 +758,13 @@
+ (--with-libxslt) */
+ #undef USE_LIBXSLT
+
++/* Defined when using Microsof LDAP */
++#undef USE_MICROSOFT_LDAP
++
++/* Define to 1 to use the Mozilla LDAP C SDK instead of platform default
++ (OpenLDAP or Microsoft LDAP). (--with-mozldap) */
++#undef USE_MOZLDAP
++
+ /* Define to select named POSIX semaphores. */
+ #undef USE_NAMED_POSIX_SEMAPHORES
+
+
diff --git a/postgresql/postgresql-9.2.1-libreoffice.patch b/postgresql/postgresql-9.2.1-libreoffice.patch
new file mode 100644
index 0000000..e1f1308
--- /dev/null
+++ b/postgresql/postgresql-9.2.1-libreoffice.patch
@@ -0,0 +1,113 @@
+--- misc/build/postgresql-9.1.1/src/interfaces/libpq/Makefile 2011-09-22 23:57:57.000000000 +0200
++++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/Makefile 2011-12-15 09:02:18.000000000 +0100
+@@ -148,3 +148,6 @@
+ maintainer-clean: distclean maintainer-clean-lib
+ $(MAKE) -C test $@
+ rm -f libpq-dist.rc
++
++libpq-flags.mk:
++ @printf '%s\n' 'LIBPQ_DEP_LIBS+=$(SHLIB_LINK)' > '$@'
+--- misc/build/postgresql-9.1.1/src/interfaces/libpq/win32.mak 2011-12-14 14:28:59.000000000 +0100
++++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/win32.mak 2011-12-15 09:11:37.000000000 +0100
+@@ -11,30 +11,29 @@
+
+ # CPU="i386" or CPU environment of nmake.exe (AMD64 or IA64)
+
+-!IF ("$(CPU)" == "")||("$(CPU)" == "i386")
+-CPU=i386
++!IF ("$(CPU)" == "")||("$(CPU)" == "I")
++MACHINE=i386
+ !MESSAGE Building the Win32 static library...
+ !MESSAGE
+-!ELSEIF ("$(CPU)" == "IA64")||("$(CPU)" == "AMD64")
++!ELSEIF ("$(CPU)" == "X")
++MACHINE=AMD64
+ ADD_DEFINES=/D "WIN64" /Wp64 /GS
+ ADD_SECLIB=bufferoverflowU.lib
+ !MESSAGE Building the Win64 static library...
+ !MESSAGE
+ !ELSE
+ !MESSAGE Please check a CPU=$(CPU) ?
+-!MESSAGE CPU=i386 or AMD64 or IA64
++!MESSAGE CPU=I or X
+ !ERROR Make aborted.
+ !ENDIF
+
+ !IFDEF DEBUG
+-OPT=/Od /Zi /MDd
++OPT=/Od /Zi
+ LOPT=/DEBUG
+-DEBUGDEF=/D _DEBUG
+-OUTFILENAME=libpqd
++OUTFILENAME=libpq
+ !ELSE
+ OPT=/O2 /MD
+ LOPT=
+-DEBUGDEF=/D NDEBUG
+ OUTFILENAME=libpq
+ !ENDIF
+
+@@ -54,7 +53,7 @@
+ !ENDIF
+
+ !IF "$(KFW_LIB_PATH)" == ""
+-KFW_LIB_PATH=C:\kfw-2.6.5\lib\$(CPU)
++KFW_LIB_PATH=C:\kfw-2.6.5\lib\$(MACHINE)
+ !MESSAGE Using default Kerberos Library directory: $(KFW_LIB_PATH)
+ !ENDIF
+
+@@ -67,18 +66,11 @@
+ CPP=cl.exe
+ RSC=rc.exe
+
+-!IFDEF DEBUG
+-OUTDIR=.\Debug
+-INTDIR=.\Debug
+-CPP_OBJS=.\Debug/
+-!ELSE
+-OUTDIR=.\Release
+-INTDIR=.\Release
+-CPP_OBJS=.\Release/
+-!ENDIF
+-
++OUTDIR=.
++INTDIR=.
++CPP_OBJS=./
+
+-ALL : config "$(OUTDIR)\$(OUTFILENAME).lib" "$(OUTDIR)\$(OUTFILENAME).dll"
++ALL : config "$(OUTDIR)\$(OUTFILENAME).lib"
+
+ CLEAN :
+ - at erase "$(INTDIR)\getaddrinfo.obj"
+@@ -178,10 +170,11 @@
+ "$(OUTDIR)" :
+ if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+-CPP_PROJ=/nologo /W3 /EHsc $(OPT) /I "..\..\include" /I "..\..\include\port\win32" /I "..\..\include\port\win32_msvc" /I "..\..\port" /I. /I "$(SSL_INC)" \
++CPP_PROJ=/nologo /W3 /EHsc $(OPT) /I "..\..\include" /I "..\..\include\port\win32" /I "..\..\include\port\win32_msvc" /I "..\..\port" /I. $(SOLARINC) \
+ /D "FRONTEND" $(DEBUGDEF) \
+ /D "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\libpq.pch" \
+ /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c \
++ /D "_CRT_NONSTDC_NO_DEPRECATE" \
+ /D "_CRT_SECURE_NO_DEPRECATE" $(ADD_DEFINES)
+
+ !IFDEF USE_SSL
+@@ -205,7 +198,7 @@
+ LINK32=link.exe
+ LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib shfolder.lib wsock32.lib ws2_32.lib secur32.lib $(SSL_LIBS) $(KFW_LIB) $(ADD_SECLIB) \
+ /nologo /subsystem:windows /dll $(LOPT) /incremental:no \
+- /pdb:"$(OUTDIR)\libpqdll.pdb" /machine:$(CPU) \
++ /pdb:"$(OUTDIR)\libpqdll.pdb" /machine:$(MACHINE) \
+ /out:"$(OUTDIR)\$(OUTFILENAME).dll"\
+ /implib:"$(OUTDIR)\$(OUTFILENAME)dll.lib" \
+ /libpath:"$(SSL_LIB_PATH)" /libpath:"$(KFW_LIB_PATH)" \
+@@ -222,7 +215,7 @@
+ <<
+
+ "$(INTDIR)\libpq.res" : "$(INTDIR)" libpq-dist.rc
+- $(RSC) $(RSC_PROJ) libpq-dist.rc
++ $(RSC) $(SOLARINC) $(RSC_PROJ) libpq-dist.rc
+
+
+ "$(OUTDIR)\$(OUTFILENAME).dll" : "$(OUTDIR)" "$(INTDIR)\libpq.res"
+
diff --git a/postgresql/postgresql-libs-leak.patch b/postgresql/postgresql-libs-leak.patch
index d568ccc..8224137 100644
--- a/postgresql/postgresql-libs-leak.patch
+++ b/postgresql/postgresql-libs-leak.patch
@@ -1,7 +1,7 @@
diff --recursive -u misc/build/postgresql-9.1.1/configure.in misc/build/postgresql-9.1.1.patched/configure.in
--- misc/build/postgresql-9.1.1/configure.in 2011-09-22 23:57:57.000000000 +0200
+++ misc/build/postgresql-9.1.1.patched/configure.in 2012-02-03 11:42:45.000000000 +0100
-@@ -918,18 +918,9 @@
+@@ -903,18 +903,9 @@
*** Not using spinlocks will cause poor performance.])
fi
@@ -21,7 +21,7 @@ diff --recursive -u misc/build/postgresql-9.1.1/configure.in misc/build/postgres
[AC_MSG_ERROR([could not find function 'com_err' required for Kerberos 5])])
AC_SEARCH_LIBS(krb5_sendauth, [krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'], [],
[AC_MSG_ERROR([could not find function 'krb5_sendauth' required for Kerberos 5])])
-@@ -939,6 +930,15 @@
+@@ -924,6 +915,15 @@
fi
fi
@@ -37,3 +37,4 @@ diff --recursive -u misc/build/postgresql-9.1.1/configure.in misc/build/postgres
if test "$with_openssl" = yes ; then
dnl Order matters!
if test "$PORTNAME" != "win32"; then
+
diff --git a/postgresql/postgresql-moz-ldap.patch b/postgresql/postgresql-moz-ldap.patch
deleted file mode 100644
index ceb8256..0000000
--- a/postgresql/postgresql-moz-ldap.patch
+++ /dev/null
@@ -1,228 +0,0 @@
-diff --recursive -u misc/build/postgresql-9.1.1/configure.in misc/build/postgresql-9.1.1.patched/configure.in
---- misc/build/postgresql-9.1.1/configure.in 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/configure.in 2011-12-14 13:10:11.000000000 +0100
-@@ -662,6 +662,13 @@
- AC_MSG_RESULT([$with_ldap])
- AC_SUBST(with_ldap)
-
-+AC_MSG_CHECKING([whether to use Mozilla C SDK for LDAP support])
-+PGAC_ARG_BOOL(with, mozldap, no,
-+ [build with Mozilla LDAP support],
-+ [AC_DEFINE([USE_MOZLDAP], 1, [Define to 1 to use the Mozilla LDAP C SDK instead of platform default (OpenLDAP or Microsoft LDAP). (--with-mozldap)])])
-+AC_MSG_RESULT([$with_mozldap])
-+AC_SUBST(with_mozldap)
-+
-
- #
- # Bonjour
-@@ -1077,7 +1084,7 @@
- fi
-
- if test "$with_ldap" = yes ; then
-- if test "$PORTNAME" != "win32"; then
-+ if test "$PORTNAME" != "win32" || test "$with_mozldap" = "yes"; then
- AC_CHECK_HEADERS(ldap.h, [],
- [AC_MSG_ERROR([header file <ldap.h> is required for LDAP])])
- else
-@@ -1086,6 +1093,7 @@
- [AC_INCLUDES_DEFAULT
- #include <windows.h>
- ])
-+ AC_DEFINE([USE_MICROSOFT_LDAP], 1, [Defined when using Microsof LDAP])
- fi
- fi
-
-@@ -1498,7 +1506,18 @@
- # We can test for libldap_r only after we know PTHREAD_LIBS
- if test "$with_ldap" = yes ; then
- _LIBS="$LIBS"
-- if test "$PORTNAME" != "win32"; then
-+ if test "$with_mozldap" = "yes"; then
-+ if test "$PORTNAME" != "win32"; then
-+ mozlibname=ldap50
-+ else
-+ mozlibname=nsldap32v50
-+ fi
-+ AC_CHECK_LIB($mozlibname, ldap_bind, [],
-+ [AC_MSG_ERROR([library "$mozlibname" is required for Mozilla LDAP])],
-+ [$PTHREAD_CFLAGS $PTHREAD_LIBS $EXTRA_LDAP_LIBS])
-+ LDAP_LIBS_FE="-l$mozlibname $EXTRA_LDAP_LIBS"
-+ LDAP_LIBS_BE="-l$mozlibname $EXTRA_LDAP_LIBS"
-+ elif test "$PORTNAME" != "win32"; then
- AC_CHECK_LIB(ldap, ldap_bind, [],
- [AC_MSG_ERROR([library 'ldap' is required for LDAP])],
- [$EXTRA_LDAP_LIBS])
-diff --recursive -u misc/build/postgresql-9.1.1/src/backend/libpq/auth.c misc/build/postgresql-9.1.1.patched/src/backend/libpq/auth.c
---- misc/build/postgresql-9.1.1/src/backend/libpq/auth.c 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/backend/libpq/auth.c 2011-12-14 13:10:11.000000000 +0100
-@@ -93,11 +93,7 @@
- *----------------------------------------------------------------
- */
- #ifdef USE_LDAP
--#ifndef WIN32
--/* We use a deprecated function to keep the codepath the same as win32. */
--#define LDAP_DEPRECATED 1
--#include <ldap.h>
--#else
-+#ifdef USE_MICROSOFT_LDAP
- #include <winldap.h>
-
- /* Correct header from the Platform SDK */
-@@ -109,6 +105,10 @@
- IN PLDAPControlA * ServerControls,
- IN PLDAPControlA * ClientControls
- );
-+#else
-+/* We use a deprecated function to keep the codepath the same as win32. */
-+#define LDAP_DEPRECATED 1
-+#include <ldap.h>
- #endif
-
- static int CheckLDAPAuth(Port *port);
-@@ -2043,7 +2043,7 @@
- *ldap = ldap_init(port->hba->ldapserver, port->hba->ldapport);
- if (!*ldap)
- {
--#ifndef WIN32
-+#ifndef USE_MICROSOFT_LDAP
- ereport(LOG,
- (errmsg("could not initialize LDAP: error code %d",
- errno)));
-@@ -2065,7 +2065,7 @@
-
- if (port->hba->ldaptls)
- {
--#ifndef WIN32
-+#ifndef USE_MICROSOFT_LDAP
- if ((r = ldap_start_tls_s(*ldap, NULL, NULL)) != LDAP_SUCCESS)
- #else
- static __ldap_start_tls_sA _ldap_start_tls_sA = NULL;
-diff --recursive -u misc/build/postgresql-9.1.1/src/interfaces/libpq/fe-connect.c misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/fe-connect.c
---- misc/build/postgresql-9.1.1/src/interfaces/libpq/fe-connect.c 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/fe-connect.c 2011-12-14 13:10:11.000000000 +0100
-@@ -60,7 +60,7 @@
- #endif
-
- #ifdef USE_LDAP
--#ifdef WIN32
-+#ifdef USE_MICROSOFT_LDAP
- #include <winldap.h>
- #else
- /* OpenLDAP deprecates RFC 1823, but we want standard conformance */
-diff --recursive -u misc/build/postgresql-9.1.1/src/interfaces/libpq/win32.mak misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/win32.mak
---- misc/build/postgresql-9.1.1/src/interfaces/libpq/win32.mak 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/interfaces/libpq/win32.mak 2011-12-14 13:11:25.000000000 +0100
-@@ -4,6 +4,8 @@
- # and a dynamic library libpq(d).dll with import library libpq(d)dll.lib
- # USE_SSL=1 will compile with OpenSSL
- # USE_KFW=1 will compile with kfw(kerberos for Windows)
-+# USE_LDAP=1 will compile with LDAP support
-+# USE_MOZLDAP=1 when LDAP is enabled, use Mozilla LDAP C SDK instead of Microsoft LDAP
- # DEBUG=1 compiles with debugging symbols
- # ENABLE_THREAD_SAFETY=1 compiles with threading enabled
-
-@@ -58,6 +60,16 @@
- !MESSAGE Using default Kerberos Library directory: $(KFW_LIB_PATH)
- !ENDIF
-
-+!IF "$(MOZLDAP_INC)" == ""
-+MOZLDAP_INC=C:\ldapcsdk-6.0.7\include
-+!MESSAGE Using default Mozilla LDAP Include directory: $(MOZLDAP_INC)
-+!ENDIF
-+
-+!IF "$(MOZLDAP_LIB_PATH)" == ""
-+MOZLDAP_PATH=C:\ldapcsdk-6.0.7\lib
-+!MESSAGE Using default Mozilla LDAP Library directory: $(MOZLDAP_LIB_PATH)
-+!ENDIF
-+
- !IF "$(OS)" == "Windows_NT"
- NULL=
- !ELSE
-@@ -178,7 +190,9 @@
- "$(OUTDIR)" :
- if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
-
--CPP_PROJ=/nologo /W3 /EHsc $(OPT) /I "..\..\include" /I "..\..\include\port\win32" /I "..\..\include\port\win32_msvc" /I "..\..\port" /I. /I "$(SSL_INC)" \
-+CPP_PROJ=/nologo /W3 /EHsc $(OPT) \
-+ /I "..\..\include" /I "..\..\include\port\win32" /I "..\..\include\port\win32_msvc" \
-+ /I "..\..\port" /I. /I "$(SSL_INC)" /I "$(KFW_INC)" /I "$(MOZLDAP_INC)" \
- /D "FRONTEND" $(DEBUGDEF) \
- /D "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\libpq.pch" \
- /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c \
-@@ -189,6 +203,17 @@
- SSL_LIBS=ssleay32.lib libeay32.lib gdi32.lib
- !ENDIF
-
-+!IFDEF USE_LDAP
-+CPP_PROJ=$(CPP_PROJ) /D USE_LDAP
-+!IFDEF USE_MOZLDAP
-+CPP_PROJ=$(CPP_PROJ) /D USE_MOZLDAP
-+LDAP_LIBS=nsldap32v50.lib
-+!ELSE
-+CPP_PROJ=$(CPP_PROJ) /D USE_MICROSOFT_LDAP
-+LDAP_LIBS=wldap32.lib
-+!ENDIF
-+!ENDIF # DEFINED(USE_LDAP)
-+
- !IFDEF USE_KFW
- CPP_PROJ=$(CPP_PROJ) /D KRB5
- KFW_LIBS=krb5_32.lib comerr32.lib gssapi32.lib
-@@ -203,12 +228,12 @@
- RSC_PROJ=/l 0x409 /fo"$(INTDIR)\libpq.res"
-
- LINK32=link.exe
--LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib shfolder.lib wsock32.lib ws2_32.lib secur32.lib $(SSL_LIBS) $(KFW_LIB) $(ADD_SECLIB) \
-+LINK32_FLAGS=kernel32.lib user32.lib advapi32.lib shfolder.lib wsock32.lib ws2_32.lib secur32.lib $(SSL_LIBS) $(LDAP_LIBS) $(KFW_LIBS) $(ADD_SECLIB) \
- /nologo /subsystem:windows /dll $(LOPT) /incremental:no \
- /pdb:"$(OUTDIR)\libpqdll.pdb" /machine:$(CPU) \
- /out:"$(OUTDIR)\$(OUTFILENAME).dll"\
- /implib:"$(OUTDIR)\$(OUTFILENAME)dll.lib" \
-- /libpath:"$(SSL_LIB_PATH)" /libpath:"$(KFW_LIB_PATH)" \
-+ /libpath:"$(SSL_LIB_PATH)" /libpath:"$(KFW_LIB_PATH)" /libpath:"$(MOZLDAP_LIB_PATH)" \
- /def:$(OUTFILENAME)dll.def
- LINK32_OBJS= \
- "$(OUTDIR)\$(OUTFILENAME).lib" \
-diff --recursive -u misc/build/postgresql-9.1.1/src/tools/msvc/config_default.pl misc/build/postgresql-9.1.1.patched/src/tools/msvc/config_default.pl
---- misc/build/postgresql-9.1.1/src/tools/msvc/config_default.pl 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/tools/msvc/config_default.pl 2011-12-14 13:10:11.000000000 +0100
-@@ -11,6 +11,7 @@
- # wal_blocksize => 8, # --with-wal-blocksize, 8kB by default
- # wal_segsize => 16, # --with-wal-segsize, 16MB by default
- ldap=>1, # --with-ldap
-+ # mozldap=>1, # --with-mozldap, off by default
- nls=>undef, # --enable-nls=<path>
- tcl=>undef, # --with-tls=<path>
- perl=>undef, # --with-perl
-diff --recursive -u misc/build/postgresql-9.1.1/src/tools/msvc/Mkvcbuild.pm misc/build/postgresql-9.1.1.patched/src/tools/msvc/Mkvcbuild.pm
---- misc/build/postgresql-9.1.1/src/tools/msvc/Mkvcbuild.pm 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/tools/msvc/Mkvcbuild.pm 2011-12-14 13:10:11.000000000 +0100
-@@ -78,7 +78,8 @@
- $postgres->AddLibrary('wsock32.lib');
- $postgres->AddLibrary('ws2_32.lib');
- $postgres->AddLibrary('secur32.lib');
-- $postgres->AddLibrary('wldap32.lib') if ($solution->{options}->{ldap});
-+ $postgres->AddLibrary('wldap32.lib') if ($solution->{options}->{ldap} && ! $solution->{options}->{mozldap});
-+ $postgres->AddLibrary('nsldap32v50.lib') if ($solution->{options}->{ldap} && $solution->{options}->{mozldap});
- $postgres->FullExportDLL('postgres.lib');
-
- my $snowball = $solution->AddProject('dict_snowball','dll','','src\backend\snowball');
-diff --recursive -u misc/build/postgresql-9.1.1/src/tools/msvc/Solution.pm misc/build/postgresql-9.1.1.patched/src/tools/msvc/Solution.pm
---- misc/build/postgresql-9.1.1/src/tools/msvc/Solution.pm 2011-09-22 23:57:57.000000000 +0200
-+++ misc/build/postgresql-9.1.1.patched/src/tools/msvc/Solution.pm 2011-12-14 13:10:11.000000000 +0100
-@@ -174,6 +174,8 @@
- print O "#define USE_ASSERT_CHECKING 1\n" if ($self->{options}->{asserts});
- print O "#define USE_INTEGER_DATETIMES 1\n" if ($self->{options}->{integer_datetimes});
- print O "#define USE_LDAP 1\n" if ($self->{options}->{ldap});
-+ print O "#define USE_MICROSOFT_LDAP 1\n" if ( ! $self->{options}->{mozldap});
-+ print O "#define USE_MOZLDAP 1\n" if ($self->{options}->{mozldap});
- print O "#define HAVE_LIBZ 1\n" if ($self->{options}->{zlib});
- print O "#define USE_SSL 1\n" if ($self->{options}->{openssl});
- print O "#define ENABLE_NLS 1\n" if ($self->{options}->{nls});
-@@ -559,6 +561,7 @@
- $cfg .= ' --enable-integer-datetimes' if ($self->{options}->{integer_datetimes});
- $cfg .= ' --enable-nls' if ($self->{options}->{nls});
- $cfg .= ' --with-ldap' if ($self->{options}->{ldap});
-+ $cfg .= ' --with-mozldap' if ($self->{options}->{mozldap});
- $cfg .= ' --without-zlib' unless ($self->{options}->{zlib});
- $cfg .= ' --with-openssl' if ($self->{options}->{ssl});
- $cfg .= ' --with-ossp-uuid' if ($self->{options}->{uuid});
More information about the Libreoffice-commits
mailing list